curl --request POST \
--url https://api.cdp.coinbase.com/platform/v2/evm/accounts/{address}/sign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Wallet-Auth: <x-wallet-auth>' \
--data '
{
"hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
}
'import requests
url = "https://api.cdp.coinbase.com/platform/v2/evm/accounts/{address}/sign"
payload = { "hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef" }
headers = {
"X-Wallet-Auth": "<x-wallet-auth>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Wallet-Auth': '<x-wallet-auth>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({hash: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef'})
};
fetch('https://api.cdp.coinbase.com/platform/v2/evm/accounts/{address}/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signature": "0x1b0c9cf8cd4554c6c6d9e7311e88f1be075d7f25b418a044f4bf2c0a42a93e212ad0a8b54de9e0b5f7e3812de3f2c6cc79aa8c3e1c02e7ad14b4a8f42012c2c01b"
}{
"errorType": "invalid_request",
"errorMessage": "Request body must be specified."
}{
"errorType": "payment_method_required",
"errorMessage": "A valid payment method is required to complete this operation. Please add a payment method to your account at https://portal.cdp.coinbase.com."
}{
"errorType": "not_found",
"errorMessage": "EVM account with the given address not found."
}{
"errorType": "already_exists",
"errorMessage": "Another request with the same idempotency key is currently processing."
}{
"errorType": "idempotency_error",
"errorMessage": "Idempotency key '8e03978e-40d5-43e8-bc93-6894a57f9324' was already used with a different request payload. Please try again with a new idempotency key."
}{
"errorType": "internal_server_error",
"errorMessage": "An internal server error occurred. Please try again later."
}{
"errorType": "bad_gateway",
"errorMessage": "Bad gateway. Please try again later."
}{
"errorType": "service_unavailable",
"errorMessage": "Service unavailable. Please try again later."
}Sign hash
Signs an arbitrary 32 byte hash with the given EVM account.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Headers
A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.
An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.
1 - 128Path Parameters
The 0x-prefixed address of the EVM account.
^0x[0-9a-fA-F]{40}$Body
The arbitrary 32 byte hash to sign.
"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
Response
Successfully signed hash.
The signature of the hash, as a 0x-prefixed hex string.
"0x1b0c9cf8cd4554c6c6d9e7311e88f1be075d7f25b418a044f4bf2c0a42a93e212ad0a8b54de9e0b5f7e3812de3f2c6cc79aa8c3e1c02e7ad14b4a8f42012c2c01b"
Was this page helpful?